Is Druid support for Java 11 still experimental?

A community member was trying to attach a debugger to the historical process. The community member was using ./bin/start-micro-quickstart from an earlier than 0.23 version of Druid, and encountered the following error:

ERROR: transport error 103: invalid port number specified
ERROR: JDWP Transport dt_socket failed to initialize, TRANSPORT_INIT(510)
JDWP exit error AGENT_ERROR_TRANSPORT_INIT(197): No transports initialized [src/jdk.jdwp.agent/share/native/libjdwp/debugInit.c:735]

At the time, support for Java 11 was still experimental. Read the full discussion for the fix. Or, if you haven’t, upgrade to the latest version of Druid, which now supports Java 11.